import IParamsConfig from "../interfaces/ParamsConfig";
export declare class BaseDetection {
    options: {
        onRealtimeAlertsCallback?: (response: any) => void;
    };
    error: any;
    video: HTMLMediaElement | null;
    liveView: HTMLElement | null;
    children: any;
    detector: any;
    runningMode: any | undefined;
    animationFrameId: any;
    classVideo: string;
    classDiv: string;
    detecting: boolean;
    paramsConfig: IParamsConfig;
    detectorType: string;
    modelAssetPath: string;
    createdVideo: boolean;
    constructor(detectorType: any, modelAssetPath: string, options?: {
        onRealtimeAlertsCallback?: (response: any) => void;
    }, paramsConfig?: IParamsConfig, classVideo?: string, classDiv?: string);
    initializeDetector(): Promise<void>;
    stopDetection(): void;
    enableCam(cameraStream?: MediaProvider | null | undefined): void;
    lastVideoTime: number;
    lastExecutionDate: number;
    predictWebcam(): Promise<void>;
    handleAlert(description: string, type: string): void;
    handleOk(description: string, type: string): void;
    displayVideoDetections(result: {
        detections: any;
    }): void;
    verify(result: {
        detections: any;
    }): void;
    alertTranslate(description: string): string;
}
export declare function buildVideoPreview(): void;
