import { ProctoringSessionOptions } from "../../proctoring/options/ProctoringOptions";
import { ProctoringVideoOptions } from "../../proctoring/options/ProctoringVideoOptions";
import { CameraRecorder } from "../recorders/CameraRecorder";
import { VolumeMeter } from "../recorders/VolumeMeter";
export interface checkDevicesInterfaceReturn {
    cameraId: string;
    microphoneId: string;
    result: boolean;
}
export declare class DeviceCheckerUI {
    options: ProctoringSessionOptions;
    videoOptions: ProctoringVideoOptions;
    cameraRecorder: CameraRecorder;
    volumeMeter: VolumeMeter | undefined;
    constructor(options: ProctoringSessionOptions | undefined, _videoOptions: ProctoringVideoOptions);
    checkDevicesInterface(): void;
    setSelectOption(options: ProctoringSessionOptions, changeSelectedDevice: (arg0: {
        cameras: any;
        microphones: any;
    } | {
        cameras: HTMLSelectElement | null;
        microphones: HTMLSelectElement | null;
    }) => any): Promise<void>;
    onSelectOptionChange(changeSelectedDevice: {
        (e: any): any;
        (arg0: {
            cameraId: string | undefined;
            microphoneId: string | undefined;
        }): any;
    }): Promise<void>;
    closeModal(): void;
    modalActions(closeCheckDevices: {
        (): Promise<void>;
        (): void;
    }): Promise<checkDevicesInterfaceReturn>;
    realtimeAlertsUI(response: {
        status: string;
        description: string;
        type?: string;
    }): void;
    waitingSpyDevices(waiting: boolean): void;
    isSpyDevicesUI(allowedDevices: boolean): void;
    isUnderResolutionUI(allowedResolution: boolean): void;
    videoDeviceInterfaceUI(stream: MediaStream): void;
    audioDeviceInterfaceUIAllowedAmbient(allowedAmbient: boolean): void;
    audioDeviceInterfaceUIMicrophoneWorks(microphoneWorks: boolean): void;
    audioDeviceInterfaceUIErrorExec(): void;
    audioDeviceInterfaceUIPills(value: number): void;
    addStyleMask(): Promise<void>;
    applyStyles(element: any, styles: any): void;
}
