import { IRecorder } from "../recorders/IRecorder";
import { ProctoringSession } from "./ProctoringSession";
export declare class ProctoringRecorder {
    private session;
    private recorders;
    constructor(session: ProctoringSession, recorders: IRecorder[]);
    startAll(): Promise<void>;
    pauseAll(): Promise<void>;
    resumeAll(): Promise<void>;
    stopAll(): Promise<void>;
    saveAllOnSession(): Promise<void>;
}
