import { IDownloadService } from "../download/IDownloadService";
import { IUploadService } from "../upload/IUploadService";
import { ProgressCallback } from "../upload/uploadCalback";
import { ProctoringSession } from "./ProctoringSession";
export declare class ProctoringUploader {
    private session;
    private proctoringId;
    private uploadServices;
    constructor(session: ProctoringSession, proctoringId: string, uploadServices: IUploadService[] | IDownloadService[]);
    upload(token: string, progress?: ProgressCallback): Promise<void>;
    private uploadRecordings;
    private uploadAllFiles;
    private uploadFile;
}
