import UploadDataDTO from "../../dtos/UploadDataDTO";
import { BackendService } from "../backend/BackendService";
import { IUploadService, UploadResult } from "./IUploadService";
export declare class UploadService implements IUploadService {
    private readonly backend;
    private readonly proctoringId;
    private imageUrlPackage;
    private imageBatchNum;
    private contImages;
    constructor(proctoringId: string, backend: BackendService);
    uploadImages(data: UploadDataDTO, token: string, packSize: number): Promise<UploadResult>;
    upload(data: UploadDataDTO, token: string, image?: boolean): Promise<UploadResult>;
}
