export declare function setRecorderProctoringId(id: string): void;
export default function recorder(stream: MediaStream, buffer: Blob[], onBufferSizeError?: boolean, onBufferSizeErrorCallback?: (e?: any) => void, audio?: boolean): {
    startRecording: () => Promise<void>;
    stopRecording: () => Promise<void>;
    pauseRecording: () => Promise<void>;
    resumeRecording: () => Promise<void>;
    recorderOptions: MediaRecorderOptions;
    getBufferSize: () => number;
};
