export interface GeolocationInterface {
    coords: GeolocationCoordinates;
    timestamp: number;
}
interface GeolocationCoordinates {
    accuracy: number | null;
    altitude: number | null;
    altitudeAccuracy: number | null;
    heading: number | null;
    latitude: number | undefined;
    longitude: number | undefined;
    speed: number | null;
}
export declare function getGeolocation(): Promise<GeolocationInterface>;
export {};
