import { ProctoringSessionOptions } from "../../proctoring/options/ProctoringOptions";
import { ProctoringSession } from "../proctoring/ProctoringSession";
import { IRecorder } from "./IRecorder";
export declare class AlertRecorder implements IRecorder {
    private alerts;
    private startTime;
    private onLostFocusCallback;
    private onFocusCallback;
    private optionsProctoring;
    constructor(options: {
        onLostFocusCallback: () => void;
        onFocusCallback: () => void;
    }, optionsProctoring: ProctoringSessionOptions);
    startRecording(): Promise<void>;
    pauseRecording(): Promise<void>;
    resumeRecording(): Promise<void>;
    stopRecording(): Promise<void>;
    saveOnSession(session: ProctoringSession): Promise<void>;
    private onLostFocus;
    private onReturnFocus;
}
