export interface VolumeMeterOptions {
    setVolume?: (volume: number) => void;
}
export declare class VolumeMeter {
    private volume;
    private stream;
    private analyser;
    private animationFrameId;
    constructor(stream: MediaStream);
    start(options?: VolumeMeterOptions): Promise<any>;
    stop(): void;
    getVolume(): number | null;
    private setVolume;
}
