import Devices, { DevicesChanged } from "../../interfaces/Devices";
import { ProctoringSession } from "../proctoring/ProctoringSession";
export interface ISessionRepository {
    save(data: Devices | DevicesChanged | ProctoringSession): Promise<void>;
    list(): Promise<ProctoringSession[] | Devices[]>;
    delete(id: string): Promise<void>;
    get(id: string): Promise<ProctoringSession | undefined>;
    getDevices(id: string): Promise<Devices | undefined>;
    clear(): Promise<void>;
    hasSessions(): Promise<boolean>;
}
