import UploadDataDTO from "../../dtos/UploadDataDTO";
import { StorageService } from "../proctoring/ProctoringSession";
export interface UploadResult {
    storage: StorageService;
    url: string | undefined;
    uploaded: boolean;
}
export interface IUploadService {
    upload(data: UploadDataDTO, token: string): Promise<UploadResult>;
}
