export interface cameraInterface {
    base64: string;
}
export interface IResolution {
    width: number;
    height: number;
}
export declare class CapturePhoto {
    private cameraRecorder;
    private base64;
    private resolution;
    constructor();
    takePicture(title: string, subtitle: string, resolution?: IResolution): Promise<cameraInterface>;
    startCapture(cameraId?: string): Promise<void>;
    shot(): void;
    private takePictureInterface;
    private setSelectOption;
    private onSelectOptionChange;
    private closeInterface;
    private addStyleMask;
}
