import { ProctoringContext } from "./proctoring";
export interface SignTermInterface {
    cameraId: string;
    microphoneId: string;
    result: boolean;
}
export declare class SignTerm {
    private static isModalOpen;
    private readonly backend;
    constructor(context: ProctoringContext);
    signInTerms(): Promise<any>;
    private openModal;
    closeModal(): Promise<void>;
    applyStyles(element: any, styles: any): void;
}
