export interface ProctoringSessionOptions {
    cameraId?: string;
    microphoneId?: string;
    allowMultipleMonitors?: boolean;
    allowOnlyFirstMonitor?: boolean;
    captureScreen?: boolean;
    noiseLimit?: number;
    proctoringType: "VIDEO" | "IMAGE" | "REALTIME";
    insights: string;
    onBufferSizeError?: boolean;
    useGeolocation?: boolean;
    useSpyScan?: boolean;
}
export declare const getDefaultProctoringOptions: ProctoringSessionOptions;
